# -*- mode: RPM-SPEC; indent-tabs-mode: nil -*-
%define _docdir %{_datadir}/doc/ldas-tools-%{version}

Summary: Filters library used by ldas-tools
Name: ldas-tools-filters
Version: 2.4.99.0
Release: 1
License: ?
URL: http://www.ligo.caltech.edu
Group: Application/Scientific
BuildRoot: %{buildroot}
Source0: http://software.ligo.org/lscsoft/source/ldas-tools-filters-%{version}.tar.gz
Requires: ldas-tools-al
Buildrequires: autoconf, automake, libtool, pkg-config, zlib-devel, openssl-devel, flex, bison, swig, python-devel, doxygen
Buildrequires: ldas-tools-al-devel

%description
This provides the runtime libraries for the filters library.

%package devel
Group: Development/Scientific
Summary: LDAS tools libfilters toolkit development files
Requires: ldas-tools-al-devel, ldas-tools-filters
%description devel
This provides the develpement files the filters library.
%prep

%setup -q

%build

%configure --with-optimization=high --disable-tcl --enable-python --docdir=%{_docdir}
make %{?_smp_mflags}
make check

%install
rm -rf %{buildroot}
#--------------------------------------------------------------
# install lscsoft specific files
#--------------------------------------------------------------
make install DESTDIR=%{buildroot}
# make lscsoft-install DESTDIR=%{buildroot}
#--------------------------------------------------------------
# Removed unwanted libtool files
#--------------------------------------------------------------
find %{buildroot} -name \*.la -exec rm -f {} \;
rm -f %{buildroot}%{python_sitearch}/LDAStools/_*.a
rm -f %{buildroot}%{python_sitearch}/LDAStools/libdiskcacheAPI_python.a

%post
ldconfig
%postun
ldconfig

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%{_libdir}/libfilters*.so.*

%files devel
%defattr(-,root,root)
%{_includedir}/filters
%{_docdir}/filters
%{_libdir}/libfilters*.*a
%{_libdir}/libfilters*.so
%{_libdir}/pkgconfig/ldas-tools-filters.pc

%changelog
* Tue Oct 11 2011 Edward Maros <ed.maros@ligo.org> - ldas-tools-filters-1
- Initial build.
